## DMS Swi Get Current Firmware request DMS Swi Get Current Firmware request |

## Functions

QmiMessageDmsSwiGetCurrentFirmwareOutput * | qmi_message_dms_swi_get_current_firmware_output_ref ()
void | qmi_message_dms_swi_get_current_firmware_output_unref ()
gboolean | qmi_message_dms_swi_get_current_firmware_output_get_result ()
gboolean | qmi_message_dms_swi_get_current_firmware_output_get_model ()
gboolean | qmi_message_dms_swi_get_current_firmware_output_get_boot_version ()
gboolean | qmi_message_dms_swi_get_current_firmware_output_get_amss_version ()
gboolean | qmi_message_dms_swi_get_current_firmware_output_get_sku_id ()
gboolean | qmi_message_dms_swi_get_current_firmware_output_get_package_id ()
gboolean | qmi_message_dms_swi_get_current_firmware_output_get_carrier_id ()
gboolean | qmi_message_dms_swi_get_current_firmware_output_get_pri_version ()
gboolean | qmi_message_dms_swi_get_current_firmware_output_get_carrier ()
gboolean | qmi_message_dms_swi_get_current_firmware_output_get_config_version ()
void | qmi_client_dms_swi_get_current_firmware ()
QmiMessageDmsSwiGetCurrentFirmwareOutput * | qmi_client_dms_swi_get_current_firmware_finish ()

## Types and Values

| QmiMessageDmsSwiGetCurrentFirmwareOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageDmsSwiGetCurrentFirmwareOutput

## Description

## Functions

### qmi_message_dms_swi_get_current_firmware_output_ref ()

    QmiMessageDmsSwiGetCurrentFirmwareOutput *
    qmi_message_dms_swi_get_current_firmware_output_ref
                                   (QmiMessageDmsSwiGetCurrentFirmwareOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSwiGetCurrentFirmwareOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_dms_swi_get_current_firmware_output_unref ()

    void
    qmi_message_dms_swi_get_current_firmware_output_unref
                                   (QmiMessageDmsSwiGetCurrentFirmwareOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSwiGetCurrentFirmwareOutput. |

Since: 1.18

### qmi_message_dms_swi_get_current_firmware_output_get_result ()

    gboolean
    qmi_message_dms_swi_get_current_firmware_output_get_result
                                   (QmiMessageDmsSwiGetCurrentFirmwareOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsSwiGetCurrentFirmwareOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.18

### qmi_message_dms_swi_get_current_firmware_output_get_model ()

    gboolean
    qmi_message_dms_swi_get_current_firmware_output_get_model
                                   (QmiMessageDmsSwiGetCurrentFirmwareOutput *self,
                                    const gchar **value_model,
                                    GError **error);

Get the 'Model' field from `self` .

#### Parameters

self | a QmiMessageDmsSwiGetCurrentFirmwareOutput. |
value_model | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_dms_swi_get_current_firmware_output_get_boot_version ()

    gboolean
    qmi_message_dms_swi_get_current_firmware_output_get_boot_version
                                   (QmiMessageDmsSwiGetCurrentFirmwareOutput *self,
                                    const gchar **value_boot_version,
                                    GError **error);

Get the 'Boot version' field from `self` .

#### Parameters

self | a QmiMessageDmsSwiGetCurrentFirmwareOutput. |
value_boot_version | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_dms_swi_get_current_firmware_output_get_amss_version ()

    gboolean
    qmi_message_dms_swi_get_current_firmware_output_get_amss_version
                                   (QmiMessageDmsSwiGetCurrentFirmwareOutput *self,
                                    const gchar **value_amss_version,
                                    GError **error);

Get the 'AMSS version' field from `self` .

#### Parameters

self | a QmiMessageDmsSwiGetCurrentFirmwareOutput. |
value_amss_version | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_dms_swi_get_current_firmware_output_get_sku_id ()

    gboolean
    qmi_message_dms_swi_get_current_firmware_output_get_sku_id
                                   (QmiMessageDmsSwiGetCurrentFirmwareOutput *self,
                                    const gchar **value_sku_id,
                                    GError **error);

Get the 'SKU ID' field from `self` .

#### Parameters

self | a QmiMessageDmsSwiGetCurrentFirmwareOutput. |
value_sku_id | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_dms_swi_get_current_firmware_output_get_package_id ()

    gboolean
    qmi_message_dms_swi_get_current_firmware_output_get_package_id
                                   (QmiMessageDmsSwiGetCurrentFirmwareOutput *self,
                                    const gchar **value_package_id,
                                    GError **error);

Get the 'Package ID' field from `self` .

#### Parameters

self | a QmiMessageDmsSwiGetCurrentFirmwareOutput. |
value_package_id | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_dms_swi_get_current_firmware_output_get_carrier_id ()

    gboolean
    qmi_message_dms_swi_get_current_firmware_output_get_carrier_id
                                   (QmiMessageDmsSwiGetCurrentFirmwareOutput *self,
                                    const gchar **value_carrier_id,
                                    GError **error);

Get the 'Carrier ID' field from `self` .

#### Parameters

self | a QmiMessageDmsSwiGetCurrentFirmwareOutput. |
value_carrier_id | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_dms_swi_get_current_firmware_output_get_pri_version ()

    gboolean
    qmi_message_dms_swi_get_current_firmware_output_get_pri_version
                                   (QmiMessageDmsSwiGetCurrentFirmwareOutput *self,
                                    const gchar **value_pri_version,
                                    GError **error);

Get the 'PRI version' field from `self` .

#### Parameters

self | a QmiMessageDmsSwiGetCurrentFirmwareOutput. |
value_pri_version | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_dms_swi_get_current_firmware_output_get_carrier ()

    gboolean
    qmi_message_dms_swi_get_current_firmware_output_get_carrier
                                   (QmiMessageDmsSwiGetCurrentFirmwareOutput *self,
                                    const gchar **value_carrier,
                                    GError **error);

Get the 'Carrier' field from `self` .

#### Parameters

self | a QmiMessageDmsSwiGetCurrentFirmwareOutput. |
value_carrier | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_dms_swi_get_current_firmware_output_get_config_version ()

    gboolean
    qmi_message_dms_swi_get_current_firmware_output_get_config_version
                                   (QmiMessageDmsSwiGetCurrentFirmwareOutput *self,
                                    const gchar **value_config_version,
                                    GError **error);

Get the 'Config version' field from `self` .

#### Parameters

self | a QmiMessageDmsSwiGetCurrentFirmwareOutput. |
value_config_version | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_client_dms_swi_get_current_firmware ()

    void
    qmi_client_dms_swi_get_current_firmware
                                   (QmiClientDms *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Swi Get Current Firmware request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_swi_get_current_firmware_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_dms_swi_get_current_firmware_finish ()

    QmiMessageDmsSwiGetCurrentFirmwareOutput *
    qmi_client_dms_swi_get_current_firmware_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_swi_get_current_firmware()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_swi_get_current_firmware()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsSwiGetCurrentFirmwareOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_swi_get_current_firmware_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessageDmsSwiGetCurrentFirmwareOutput

    typedef struct _QmiMessageDmsSwiGetCurrentFirmwareOutput QmiMessageDmsSwiGetCurrentFirmwareOutput;

The QmiMessageDmsSwiGetCurrentFirmwareOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18